<?

header("Cache-Control: no-cache");
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php");
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("version.php");

if(isset($HTTP_GET_VARS['nk'])) {$nk = $HTTP_GET_VARS['nk'];}
if(isset($HTTP_GET_VARS['rm'])) {$rm = $HTTP_GET_VARS['rm'];}
if (!ctype_digit($rm)) { header("Location: index.php"); die; }
$rm = mysql_escape_string($rm);

mysql_query ("Select rm from rooms where rm='".$rm."';");
if (mysql_affected_rows() == 0){
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>";
echo "<card id=\"error\" title=\"Ошибка\" ontimer=\"enter.php?$ses&amp;ref=$ref\"><timer value=\"15\"/>";
echo "<p align=\"center\">";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Ошибка</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
}
echo $fsize1;
echo "Такой комнаты не существует!";
echo $fsize2;
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
mysql_close($link);
exit;
}

if (empty($pwd)) $pwd=pub;
$pwd=htmlspecialchars(stripslashes(trim($pwd)));

if($rm==10) $takep="&amp;pwd=$pwd&amp;ref=$ref";
else if($mod=="privat") $takep="&amp;mod=$mod&amp;ref=$ref";
else $takep="&amp;ref=$ref";

if(isset($HTTP_GET_VARS['nk'])) {$nk = $HTTP_GET_VARS['nk'];}
if (!ctype_digit($nk)) { header("Location: index.php"); die; }

if ($row["anketa"]==1){
$select = @mysql_query ("Select id,user,sex,user_ip,user_soft,level,version,votefoto,img from users where id='".$nk."'");    
}else{
$select = @mysql_query ("Select id,user,name,birth,sex,city,mail,infa,icq,posts,credits,gposts,status,date,op,onl,mob,user_ip,user_soft,img,nastroi,visit,room,byeotv,number,level,mysmile,votefoto,para,myavatar,version from users where id='".$nk."'"); 
}
if (mysql_affected_rows() == 0){
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>";
echo "<card id=\"error\" title=\"Ошибка\" ontimer=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\"><timer value=\"15\"/>";
echo "<p align=\"center\">";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Ошибка</title>";
echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"2; URL=chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
}
echo $fsize1;
echo "Юзер не найден. Возможно ник удалён.<br/>";
echo $divide;
echo "<a href=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">В чат</a><br/>\n";
echo $fsize2;
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
mysql_close ($link);
exit;	
}
$inf = mysql_fetch_array ($select); 
if ($row["anketa"]==1){
$usid=$inf["id"];  
$nick = $inf["user"];
$sex = $inf["sex"];
$us_ip = $inf["user_ip"];
$us_soft = $inf["user_soft"];
$level=$inf["level"];
$version=$inf["version"];
$img=$inf["img"];
$votefoto=$inf["votefoto"];
}else{
$usid=$inf["id"];  
$nick = $inf["user"];
$name = $inf["name"];
$birth = $inf["birth"];
$sex = $inf["sex"];
$city = $inf["city"];
$mail = $inf["mail"];
$site = $inf["site"];
$infa = $inf["infa"];
$icq = $inf["icq"];
$posts = $inf["posts"];
$credits = $inf["credits"];
$gposts = $inf["gposts"];
$status = $inf["status"];
$date = $inf["date"];
$op = $inf["op"];
$onl = $inf["onl"];
$mob = $inf["mob"];
$us_ip = $inf["user_ip"];
$us_soft = $inf["user_soft"];
$img = $inf["img"];   
$nastroi = $inf["nastroi"];
$visit = $inf["visit"];
$room = $inf["room"];
$byeotv = $inf["byeotv"];
$number = $inf["number"];
$level=$inf["level"];
$fr = $inf["friends"]; 
$mysmile = $inf["mysmile"];
$votefoto = $inf["votefoto"];
$ign=$inf["ignor"];
$para=$inf["para"];
$bee=$inf["site"];
$myavatar=$inf["myavatar"];
$version=$inf["version"];
if ($credits>=0 && $credits<100) $victstatus="Ученик";
if ($credits>=100 && $credits<500) $victstatus="Студент";
if ($credits>=500 && $credits<1000) $victstatus="Бакалавр";
if ($credits>=1000 && $credits<2000) $victstatus="Магистр";
if ($credits>=2000 && $credits<5000) $victstatus="Кандидат в доктора";
if ($credits>=5000 && $credits<7000) $victstatus="Доктор наук";
if ($credits>=7000) $victstatus="Супер Умник =)";
}
$user=$row['user'];
$selemoc=$row['selemoc'];
$emocmenu=$row['emocmenu'];
$emoc1=$row['emoc1'];
$emoc2=$row['emoc2'];
$emoc3=$row['emoc3'];
$emoc4=$row['emoc4'];
$emoc5=$row['emoc5'];
$emoc6=$row['emoc6'];
$emoc7=$row['emoc7'];
$emoc8=$row['emoc8'];
$emoc9=$row['emoc9'];
$emoc10=$row['emoc10'];
$bind4=$row['bind4'];

$levelselect = @mysql_query ("Select name from levels where level='".$level."'");
$levels = @mysql_fetch_array($levelselect);
$levname = $levels["name"];

ob_start();   
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<head><meta http-equiv=\"Cache-Control\" content=\"no-cache\" forua=\"true\"/></head>\n";
echo "<card id=\"info\" title=\"$nick\">\n";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>".$nick."</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
}
if ($nk==1){
if ($ver=="wml") echo "<p align=\"center\" mode=\"wrap\">\n";
else echo "<div align=\"center\">\n";
echo $fsize1;
echo "<b>".$nick."</b> - это сам чат!<br/>\n";
echo $divide;
}else if ($nk==2){
if ($ver=="wml") echo "<p align=\"center\" mode=\"wrap\">\n";
else echo "<div align=\"center\">\n";
echo $fsize1;
echo "<img src=\"smilean/umnik.gif\" alt=\"umnik\"/><br/>\n";
echo "Бот <b>".$nick."</b>.Если вам нечем заняться в свобоное время, а в чате не с кем пообщаться, то вы можете проверить свои умственные способности именно в этой комнате. Я Вам задаю вопрос и жду вашего ответа. Ответом будет являться лишь ОДНО слово, не зависимо от рАзмеРА букв. Если правильного ответа Я не вижу, то даю 2 подсказки. Если ответа все равно никто не знает, то задаётся новый вопрос. Если ваш правильный ответ будет первым, то вы набираете 1 очко. 10 самых умных и быстрых можно просмотреть из раздела Самые умные в Статистике. C правилами транслита можете ознакомиться <a href=\"faq.php?id=$id&amp;ps=$ps&amp;ref=$ref&amp;mod=3\">здесь</a><br/>\n";
echo $divide;
}else if ($nk==3){
if ($ver=="wml") echo "<p align=\"center\" mode=\"wrap\">\n";
else echo "<div align=\"center\">\n";
echo $fsize1;	
echo "<b>".$nick."</b> постоянно шутит)))<br/>\n";
echo $divide;
}else if ($nk==4){
if ($ver=="wml") echo "<p align=\"center\" mode=\"wrap\">\n";
else echo "<div align=\"center\">\n";
echo $fsize1;	
echo "<b>".$nick."</b> продает вопросы за посты.<br/>\n";
echo $divide;
}else if ($nk==6){
if ($ver=="wml") echo "<p align=\"center\" mode=\"wrap\">\n";
else echo "<div align=\"center\">\n";
echo $fsize1;	
echo "<b>".$nick."</b> читает ваши анекдоты.<br/>\n";
echo $divide;
}else if ($nk==7){
if ($ver=="wml") echo "<p align=\"center\" mode=\"wrap\">\n";
else echo "<div align=\"center\">\n";
echo $fsize1;	
echo "<b>".$nick."</b> предупреждает об опастности.<br/>\n";
echo $divide;
} else {
if ($ver=="wml") echo "<p mode=\"wrap\">\n";
else echo "<div align=\"left\">\n";
@mysql_query ("Select * from ignor where usid=".$id." and id='".$nk."'");
if (mysql_affected_rows()!=0){
echo $fsize1;
if ($sex=="М") echo "<b>".$nick."</b> отправил Вас в игнор.<br/>\n";
else  echo "<b>".$nick."</b> отправила Вас в игнор.<br/>\n";
echo $divide;
}else{
if((isset($rm))&&($rm!="")){ 
echo $fsize1;
echo "Сообщение для <b>".$nick."</b><br/>\n";
echo $fsize2;
if ($ver=="wml"){ 
echo "<input name=\"msg$ref\" maxlength=\"200\" title=\"Text\"/><br/>\n";
}else{
echo "<form action=chat.php?id=$id&amp;ps=$ps&amp;rm=$rm$takep method=post title=\"Сказать\">\n";
echo "<input type=hidden name=towhom value=$usid />\n"; 
echo "<input type=hidden name=komu value=\"".$nick."\"/>\n";
echo "<input type=text name=msg maxlength=\"200\"><br/>\n";
}
if(($row["say"]==1)||($mod=="privat")){
echo "<select name=\"prvt\">\n";
if (($nk!==$id)&&($rm!=23))echo "<option value=\"1\">Приватно</option>\n";
if ($nk==5)echo "<option value=\"1\">Приватно</option>\n";
if ($nk!=5){
echo "<option value=\"0\">Всем</option>\n";
echo "<option value=\"2\">В записки</option>\n";
}
echo "</select><br/>\n";
} else {
echo "<select name=\"prvt\">\n";
if ($nk!=5)echo "<option value=\"0\">Всем</option>\n";
if (($nk!==$id)&&($rm!=23))echo "<option value=\"1\">Приватно</option>\n";
if ($nk==5)echo "<option value=\"1\">Приватно</option>\n";
if ($nk!=5)echo "<option value=\"2\">В записки</option>\n";
echo "</select><br/>\n"; 
}
if($nk!=5){ 
if($selemoc!=0){
if($emocmenu==1){
echo "<select name=\"nastr\">";
echo "<option value=\"\">Без эмоции</option>";
if($emoc1!="") {echo "<option value=\"[$emoc1] \">$emoc1</option>";}
if($emoc2!="") {echo "<option value=\"[$emoc2] \">$emoc2</option>";}
if($emoc3!="") {echo "<option value=\"[$emoc3] \">$emoc3</option>";}
if($emoc4!="") {echo "<option value=\"[$emoc4] \">$emoc4</option>";}
if($emoc5!="") {echo "<option value=\"[$emoc5] \">$emoc5</option>";}
if($emoc6!="") {echo "<option value=\"[$emoc6] \">$emoc6</option>";}
if($emoc7!="") {echo "<option value=\"[$emoc7] \">$emoc7</option>";}
if($emoc8!="") {echo "<option value=\"[$emoc8] \">$emoc8</option>";}
if($emoc9!="") {echo "<option value=\"[$emoc9] \">$emoc9</option>";}
if($emoc10!="") {echo "<option value=\"[$emoc10] \">$emoc10</option>";}
echo "</select><br/>"; 
}else{
echo "<select name=\"nastr\">\n";
echo "<option value=\"\">Бeз эмoций</option>\n";
echo "<option value=\"[Радостно] \">Paдocтнo</option>\n";
echo "<option value=\"[Печально] \">Пeчaльнo</option>\n";
echo "<option value=\"[Удивлённо] \">Удивлённo</option>\n";
echo "<option value=\"[Ласково] \">Лacкoвo</option>\n";
echo "<option value=\"[Смущённо] \">Cмyщённo</option>\n";
echo "<option value=\"[Кокетливо] \">Koкeтливo</option>\n";
echo "<option value=\"[Обиженно] \">Oбижeннo</option>\n";
echo "<option value=\"[Настойчиво] \">Нacтойчивo</option>\n";
echo "<option value=\"[Шёпотом] \">Шёпoтoм</option>\n";
echo "<option value=\"[Задумчиво] \">Зaдyмчивo</option>\n";
echo "<option value=\"[Откровенно] \">Oткpoвeннo</option>\n";
echo "</select><br/>\n";
}
}
}
if ($ver=="wml"){
echo $fsize1;
echo "<anchor title=\"send\">Сказать<go href=\"chat.php?$ses&amp;rm=$rm$takep\" method=\"post\">\n";
echo "<postfield name=\"msg\" value=\"$(msg$ref)\"/>\n";  
echo "<postfield name=\"komu\" value=\"".$nick."\"/>";
echo "<postfield name=\"towhom\" value=\"$usid\"/>\n";
echo "<postfield name=\"prvt\" value=\"$(prvt)\"/>\n";
if ($nk!=5)echo "<postfield name=\"nastr\" value=\"$(nastr)\"/>\n";
echo "</go></anchor>\n";
echo $fsize2;
echo "<br/>\n";
}else{
echo "<input type=submit value=\"Сказать\"/></form>\n";
}
}
echo $fsize1; 
if ($row["anketa"]==1){
if($img!=""){
echo "-Голосов за <a href=\"userfoto.php?$ses&amp;usid=$usid&amp;rm=$rm$takep\">фото</a> : $votefoto<br/>\n";
}
echo $divide;
echo "<a href=\"info.php?$ses&amp;nk=$usid&amp;rm=$rm&amp;ref=$ref\">Анкета пользователя</a><br/>\n";
}else{
echo "Ник: <b>".$nick."</b><br/>\n";
echo $divide;
if (!isset ($rm)){
echo "<a href=\"send.php?$ses&amp;to=$nick&amp;ref=$ref\">Написать записку</a><br/>\n";
echo $divide;
}
if($img!=""){
echo "-Голосов за <a href=\"userfoto.php?$ses&amp;usid=$usid&amp;rm=$rm$takep\">фото</a> : $votefoto<br/>\n";
}
if($mysmile!=""){
echo "-[<a href=\"fr3.php?usid=$usid\">Личный Смайл</a>]<br/>\n";
}
if($myavatar!=""){
echo "-[<a href=\"fr2.php?usid=$usid\">Личный Аватар</a>]<br/>\n";
}
echo "-ID: $usid<br/>\n";
echo "-Имя: $name<br/>\n";
if($nastroi!="0") echo "-Hacтpoeниe: $nastroi<br/>\n";
echo "-День рождения: $birth<br/>\n";
if ($sex=="М")echo "-Пол: Мужской<br/>\n";
else if ($sex=="Ж")echo "-Пол: Женский<br/>\n";
else echo "-Пол: Средний<br/>\n";
echo "-Город: $city<br/>\n";
if($para!=""){
if ($sex=="М") echo "-Женат: Жена <b>$para</b><br/>\n"; 
else echo "-Замужем: Муж <b>$para</b><br/>\n"; 
}
if($op!=""){
echo "-Оператор: $op<br/>\n";
}
if($mob!=""){
echo "-Moбильник: $mob<br/>\n";
} else {
$brayz=strtok($us_soft,'/'); 
echo "-Мобильный: $brayz<br/>\n";
}
if(($number!=0)&&($number!=""))echo "-Hoмep: <a href=\"wtai://wp/mc;+$number\">+$number</a><br/>\n";
if($mail!=""){
$mail="<a href=\"mail.php?$ses&amp;rm=$rm&amp;to=$mail\">$mail</a>";
echo "-Мыло: $mail<br/>\n";
}
if($icq!=""){
echo "-ICQ: $icq<br/>\n";
}
echo "-Постов: $posts<br/>\n";
echo "-Игровой баланс: $gposts<br/>\n";
if ($byeotv>0)echo "-Купил ответов: $byeotv<br/>";
if ($rm==0){
echo "-Ответов в викторине: $credits<br/>\n";
echo "-Ученая степень: $victstatus<br/>";
}
if ($rm==11){
echo "-Отсосано хуёв: $credits<br/>\n";
}
echo "-О себе: $infa<br/>\n";
echo "-Статус: $status <b>($levname)</b><br/>\n";
echo "Дата регистрации: $date<br/>\n";
}
echo $divide;
echo "<a href=\"ignor.php?$ses&amp;nk=$usid&amp;mod=add&amp;rm=$rm&amp;ref=$ref\">B Игнор</a><br/>\n";
echo "<a href=\"friends.php?$ses&amp;mod=addto&amp;nk=$usid&amp;rm=$rm&amp;ref=$ref\">В друзья</a><br/>\n";
echo $divide;
if(($rm!=9)||($rm!=11)){
if($row["level"]>3)echo "<a href=\"kick.php?$ses&amp;nk=$usid&amp;rm=$rm&amp;ref=$ref\">Пнуть</a><br/>\n";
if($row["level"]>4)echo "<a href=\"bann.php?$ses&amp;nk=$usid&amp;rm=$rm&amp;ref=$ref\">Забанить ник</a><br/>\n";
if($row["level"]>5)echo "<a href=\"bannaip.php?$ses&amp;nk=$usid&amp;rm=$rm&amp;ref=$ref\">Банн ip+soft!!!</a><br/>\n";
if($row["level"]>6){
echo "<a href=\"apanel.php?$ses&amp;nk=$usid&amp;go=fullignmake&amp;rm=$rm&amp;ref=$ref\">Полный игнор!</a><br/>\n";
echo "<a href=\"deluser.php?$ses&amp;nk=$usid&amp;rm=$rm&amp;ref=$ref\">Удалить ник</a><br/>\n";
echo $divide;
echo "<b><a href=\"apanel.php?$ses&amp;go=view&amp;nick=$usid\">Апдейт юзера</a></b><br/>\n";
}
}
if($row["level"]>5){   
if(($inf["level"]<7)||($row["level"]>6)){
echo $divide;
echo "<b>IP:</b> ".$us_ip."<br/>\n";
echo "<b>Soft:</b> ".$us_soft."<br/>\n";
if ($version==1) echo "<b>Версия чата:</b> WAP 1.2<br/>\n";
else echo "<b>Версия чата:</b> WAP 2.0<br/>\n";
echo $divide;
}
}
}
}
if (isset ($rm)){
if ($rm!=23)echo "<a href=\"chat.php?$ses&amp;rm=$rm$takep\" accesskey=\"$bind4\">&#8592; В чат($bind4)</a><br/>\n";
else echo "<a href=\"chat.php?$ses&amp;rm=$rm$takep\" accesskey=\"$bind4\">&#8592; В игру($bind4)</a><br/>\n";
}
echo "<a href=\"enter.php?$ses$takep\">&#8592; Прихожая</a><br/>\n";
echo $divide;
$alltraf=$row["alltraf"];
$pagesize=round((ob_get_length()+200)/1024,1);
$alltraf1=$alltraf+$pagesize;
echo "Вес страницы: $pagesize Кб<br/>\n";
echo $fsize2; 
if ($ver=="wml")echo "</p></card></wml>\n";
else echo "</div></body></html>\n";
mysql_query ("Update users set alltraf='".$alltraf1."', lasttraf='".$pagesize."' where id='".$id."'");
mysql_close ($link);
ob_end_flush();
?>